import request from '@/utils/request2'

export default {
    // 检查员工作经历列表
    listWork(query) {
        return request({
            url: '/inspectorWorkexperiences',
            method: 'get',
            params: query,
            
        })
    },
    // 检查员工作经历添加
    addWork(data) {
        return request({
            url: '/inspectorWorkexperiences',
            method: 'post',
            data
        })
    },
    // 检查员工作经历修改
    updateWork(data) {
        return request({
            url: "/inspectorWorkexperiences",
            method: 'put',
            data
        })
    },
    // 检查员工作经历删除
    deleteWork(e) {
        return request({
            url: `/inspectorWorkexperiences?idList=${e}`,
            method: 'delete',
        })
    },
    // 检查员工作经历查询单个
    detailWork(e) {
        return request({
            url: `/inspectorWorkexperiences/${e}`,
            method: 'get',
        })
    }
}
